import type { CustomFileMetadata } from "./CustomFileMetadata";
import type { EpochMillis } from "./EpochMillis";
import type { FilePath } from "./FilePath";
import type { FileTagName } from "./FileTagName";
import type { HttpUrl } from "./HttpUrl";
import type { MimeType } from "./MimeType";
import type { OriginalFileName } from "./OriginalFileName";
import type { SizeInBytes } from "./SizeInBytes";
export declare type FileDetails = {
    metadata: CustomFileMetadata;
    mime: MimeType;
    originalFileName: OriginalFileName | null;
    tags: Array<FileTagName>;
    path: FilePath;
    lastModified: EpochMillis;
    size: SizeInBytes;
    url: HttpUrl;
};
