import type { AccountId } from "./AccountId";
import type { EpochMillis } from "./EpochMillis";
import type { FileId } from "./FileId";
import type { FileTag } from "./FileTag";
import type { FileUniquifier } from "./FileUniquifier";
import type { HttpUrl } from "./HttpUrl";
import type { MimeType } from "./MimeType";
import type { OriginalFileName } from "./OriginalFileName";
import type { SizeInBytes } from "./SizeInBytes";
export declare type FileSummaryExtended = {
    accountId: AccountId;
    fileId: FileId;
    mime: MimeType;
    name: OriginalFileName | null;
    size: SizeInBytes;
    tags: Array<FileTag>;
    uploadedAt: EpochMillis;
    fileUniquifier: FileUniquifier;
    fileUrl: HttpUrl;
};
