export declare type FolderWriteGrants = {
    /**
     * Note: only controls the creation of _virtual_ folders. Does not control the creation of 'perceived folders' in the
     * physical storage layer, e.g. when a file is uploaded to a deep path, it will appear as if its ancestors were created,
     * regardless of this grant. (This is because in S3, there are no folders, only keys.)
     */
    createVirtualFolder: boolean;
    deleteVirtualFolder: boolean;
    setVirtualFolderDescription: boolean;
    setVirtualFolderPublicPermissions: boolean;
    setVirtualFolderStorageLayer: boolean;
};
