import type { FolderPath } from "./FolderPath";
import type { MakePhysicalFolder } from "./MakePhysicalFolder";
import type { UpsertFolderSettings } from "./UpsertFolderSettings";
export declare type MakeFolder = {
    /**
     * If the 'folderPath' ends in a "/", the user must specify "true" for this property. This is to prevent the user
     * accidentally creating index folders by adding a "/" to their requests.
     *
     * We make this optional to intentionally make most API users not provide it, so that when they do accidentally add
     * a "/" suffix to a folder, they'll receive the warning, rather than us to creating the folder and them being
     * confused and having no explanation as to what is happening.
     *
     * Default: false
     */
    allowUnnamedFolderCreation?: boolean;
    folderPath: FolderPath;
    folderSettings: UpsertFolderSettings;
    /**
     * Indicates whether to create a folder in the underlying storage layer.
     *
     * If the storage layer is read-only (e.g. web folders) then this property is ignored.
     *
     * Default: IfAuthorized
     */
    makePhysicalFolder?: MakePhysicalFolder;
};
