import type { FileWriteGrants } from "./FileWriteGrants";
import type { FolderWriteGrants } from "./FolderWriteGrants";
/**
 * Unless otherwise stated, these properties are inherited by sub-folders if instructed to do so by the outer context
 * (e.g. 'recursive:true' when read in the context of a 'FolderPermissionsList', or if set on a 'publicPermissions'
 * on a 'FolderSettings').
 */
export declare type PathPermissionWriteGrants = {
    /**
     * Grants that apply if the path is being treated as a file.
     */
    file: FileWriteGrants;
    /**
     * Grants that apply if the path is being treated as a folder.
     */
    folder: FolderWriteGrants;
};
