import type { FreeUploadPlanId } from "./FreeUploadPlanId";
import type { PaidUploadPlanId } from "./PaidUploadPlanId";
/**
 * Packages vs Plans:
 *
 * Packages are what we advertise on the website and are ultimately what users can buy. A package may include one or
 * many plans. For example, a package may include a free trial premium plan, and then downgrade to a basic plan. The
 * dashboard shows the user which _plan_ they're on rather than which _package_, since the plan may expire and
 * transition into a new plan.
 */
export declare type UploadPlanId = PaidUploadPlanId | FreeUploadPlanId;
