import type { AccountId } from "../models/AccountId";
import type { FileDetails } from "../models/FileDetails";
import type { FilePath } from "../models/FilePath";
export declare class FilesV2Service {
    /**
     * Deletes a file.
     * @param accountId
     * @param filePath
     * @returns any Success.
     * @throws ApiError
     */
    static deleteFile(accountId: AccountId, filePath: FilePath): Promise<any>;
    /**
     * Gets the full metadata for a file.
     * @param accountId
     * @param filePath
     * @returns FileDetails Success.
     * @throws ApiError
     */
    static getFileDetails(accountId: AccountId, filePath: FilePath): Promise<FileDetails>;
}
