import type { AccountId } from "../models/AccountId";
import type { AsyncResponse } from "../models/AsyncResponse";
import type { DeleteFolder } from "../models/DeleteFolder";
import type { FolderPath } from "../models/FolderPath";
import type { ListFolderChildrenCursor } from "../models/ListFolderChildrenCursor";
import type { ListFolderChildrenResult } from "../models/ListFolderChildrenResult";
import type { MakeFolder } from "../models/MakeFolder";
export declare class FoldersService {
    /**
     * Makes or updates a folder: if the folder exists, its settings will be overwritten with those provided in this API
     * request. If the folder's ancestors don't exist, they will be created using empty folder settings.
     * @param accountId
     * @param requestBody
     * @returns any Success.
     * @throws ApiError
     */
    static makeFolder(accountId: AccountId, requestBody: MakeFolder): Promise<any>;
    /**
     * @param accountId
     * @param requestBody
     * @returns AsyncResponse Success.
     * @throws ApiError
     */
    static deleteFolder(accountId: AccountId, requestBody: DeleteFolder): Promise<AsyncResponse>;
    /**
     * @param accountId
     * @param path
     * @param external
     * @param folders
     * @param files
     * @param cursor
     * @returns ListFolderChildrenResult Success.
     * @throws ApiError
     */
    static list(accountId: AccountId, path: FolderPath, external?: boolean, folders?: boolean, files?: boolean, cursor?: ListFolderChildrenCursor): Promise<ListFolderChildrenResult>;
}
