import type { AccountId } from "../models/AccountId";
import type { AccountJobId } from "../models/AccountJobId";
import type { AccountJobType } from "../models/AccountJobType";
import type { JobSummary } from "../models/JobSummary";
import type { ListRecentJobs } from "../models/ListRecentJobs";
export declare class JobsService {
    /**
     * @param accountId
     * @param jobType
     * @param jobId
     * @returns any Success.
     * @throws ApiError
     */
    static cancelJob(accountId: AccountId, jobType: AccountJobType, jobId: AccountJobId): Promise<any>;
    /**
     * @param accountId
     * @param jobType
     * @param jobId
     * @returns JobSummary Success.
     * @throws ApiError
     */
    static getJob(accountId: AccountId, jobType: AccountJobType, jobId: AccountJobId): Promise<JobSummary>;
    /**
     * @param accountId
     * @param jobType
     * @returns ListRecentJobs Success.
     * @throws ApiError
     */
    static listRecentJobs(accountId: AccountId, jobType?: AccountJobType): Promise<ListRecentJobs>;
}
