import type { AccountId } from "../models/AccountId";
import type { NpmPackageName } from "../models/NpmPackageName";
import type { Plugin } from "../models/Plugin";
import type { SemanticVersion } from "../models/SemanticVersion";
export declare class PluginsService {
    /**
     * Installs a custom plugin to an account.
     * @param accountId
     * @param packageName
     * @param packageVersion
     * @returns Plugin Success.
     * @throws ApiError
     */
    static installCustomPlugin(accountId: AccountId, packageName: NpmPackageName, packageVersion: SemanticVersion): Promise<Plugin>;
    /**
     * Uninstalls a custom plugin from an account.
     * @param accountId
     * @param packageName
     * @param packageVersion
     * @returns void
     * @throws ApiError
     */
    static uninstallCustomPlugin(accountId: AccountId, packageName: NpmPackageName, packageVersion: SemanticVersion): Promise<void>;
}
