import type { AccountId } from "../models/AccountId";
import type { SetBlacklistRules } from "../models/SetBlacklistRules";
import type { SetMaxFileSizeRules } from "../models/SetMaxFileSizeRules";
import type { SetTtlRules } from "../models/SetTtlRules";
import type { SetUploadBandwidthRules } from "../models/SetUploadBandwidthRules";
import type { SetUploadCountRules } from "../models/SetUploadCountRules";
export declare class RulesService {
    /**
     * Sets the blacklist rules for an account.
     * @param accountId
     * @param requestBody
     * @returns any Success.
     * @throws ApiError
     */
    static setBlacklistRules(accountId: AccountId, requestBody: SetBlacklistRules): Promise<any>;
    /**
     * Sets the max file size rules for an account.
     * @param accountId
     * @param requestBody
     * @returns any Success.
     * @throws ApiError
     */
    static setMaxFileSizeRules(accountId: AccountId, requestBody: SetMaxFileSizeRules): Promise<any>;
    /**
     * Sets the TTL rules for an account.
     * @param accountId
     * @param requestBody
     * @returns any Success.
     * @throws ApiError
     */
    static setTtlRules(accountId: AccountId, requestBody: SetTtlRules): Promise<any>;
    /**
     * Sets the upload bandwidth rules for an account.
     * @param accountId
     * @param requestBody
     * @returns any Success.
     * @throws ApiError
     */
    static setUploadBandwidthRules(accountId: AccountId, requestBody: SetUploadBandwidthRules): Promise<any>;
    /**
     * Sets the upload count rules for an account.
     * @param accountId
     * @param requestBody
     * @returns any Success.
     * @throws ApiError
     */
    static setUploadCountRules(accountId: AccountId, requestBody: SetUploadCountRules): Promise<any>;
}
