import type { AccountId } from "../models/AccountId";
import type { DownloadStatistics } from "../models/DownloadStatistics";
import type { StorageStatistics } from "../models/StorageStatistics";
import type { TransformationStatistics } from "../models/TransformationStatistics";
export declare class StatisticsService {
    /**
     * Calculates download statistics for a given account.
     * @param accountId
     * @returns DownloadStatistics Success.
     * @throws ApiError
     */
    static getDownloadStatistics(accountId: AccountId): Promise<DownloadStatistics>;
    /**
     * Calculates file storage statistics for a given account.
     * @param accountId
     * @returns StorageStatistics Success.
     * @throws ApiError
     */
    static getStorageStatistics(accountId: AccountId): Promise<StorageStatistics>;
    /**
     * Calculates transformation statistics for a given account.
     * @param accountId
     * @returns TransformationStatistics Success.
     * @throws ApiError
     */
    static getTransformationStatistics(accountId: AccountId): Promise<TransformationStatistics>;
}
