/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { Jwt } from "../models/Jwt";
import type { PublicKeyPEM } from "../models/PublicKeyPEM";
import { request as __request } from "../core/request";

export class CdnAccessTokensService {
  /**
   * Gets the public key used to verify CDN access tokens issued by this API.
   * @returns PublicKeyPEM Success.
   * @throws ApiError
   */
  public static async getPublicKey(): Promise<PublicKeyPEM> {
    const result = await __request({
      method: "GET",
      path: `/v1/auth/cdn_access_tokens/public_key`
    });
    return result.body;
  }

  /**
   * Generates a new CDN access token for the currently signed-in user.
   * @returns Jwt Success.
   * @throws ApiError
   */
  public static async generateCdnAccessToken(): Promise<Jwt> {
    const result = await __request({
      method: "GET",
      path: `/v1/auth/cdn_access_tokens/current`,
      errors: {
        401: `Unauthenticated.`,
        403: `Unauthorized.`
      }
    });
    return result.body;
  }
}
