/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { AccountId } from "../models/AccountId";
import type { FileDetails } from "../models/FileDetails";
import type { FilePath } from "../models/FilePath";
import { request as __request } from "../core/request";

export class FilesV2Service {
  /**
   * Deletes a file.
   * @param accountId
   * @param filePath
   * @returns any Success.
   * @throws ApiError
   */
  public static async deleteFile(accountId: AccountId, filePath: FilePath): Promise<any> {
    const result = await __request({
      method: "DELETE",
      path: `/v2/accounts/${accountId}/files`,
      query: {
        filePath: filePath
      },
      errors: {
        401: `Unauthenticated.`
      }
    });
    return result.body;
  }

  /**
   * Gets the full metadata for a file.
   * @param accountId
   * @param filePath
   * @returns FileDetails Success.
   * @throws ApiError
   */
  public static async getFileDetails(accountId: AccountId, filePath: FilePath): Promise<FileDetails> {
    const result = await __request({
      method: "GET",
      path: `/v2/accounts/${accountId}/files/details`,
      query: {
        filePath: filePath
      },
      errors: {
        401: `Unauthenticated.`
      }
    });
    return result.body;
  }
}
