/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { NpmPackageName } from "../models/NpmPackageName";
import type { SemanticVersion } from "../models/SemanticVersion";
import { request as __request } from "../core/request";

export class NpmService {
  /**
   * Gets all the versions for an NPM package
   * @param npmPackageName
   * @returns SemanticVersion Success.
   * @throws ApiError
   */
  public static async getPackageVersions(npmPackageName: NpmPackageName): Promise<Array<SemanticVersion>> {
    const result = await __request({
      method: "GET",
      path: `/v1/npm/packages/${npmPackageName}/versions`,
      errors: {
        401: `Unauthenticated.`,
        403: `Unauthorized.`,
        404: `Not found.`
      }
    });
    return result.body;
  }
}
