/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { AccountId } from "../models/AccountId";
import type { SetBlacklistRules } from "../models/SetBlacklistRules";
import type { SetMaxFileSizeRules } from "../models/SetMaxFileSizeRules";
import type { SetTtlRules } from "../models/SetTtlRules";
import type { SetUploadBandwidthRules } from "../models/SetUploadBandwidthRules";
import type { SetUploadCountRules } from "../models/SetUploadCountRules";
import { request as __request } from "../core/request";

export class RulesService {
  /**
   * Sets the blacklist rules for an account.
   * @param accountId
   * @param requestBody
   * @returns any Success.
   * @throws ApiError
   */
  public static async setBlacklistRules(accountId: AccountId, requestBody: SetBlacklistRules): Promise<any> {
    const result = await __request({
      method: "PUT",
      path: `/v1/accounts/${accountId}/rules/blacklist`,
      body: requestBody,
      mediaType: "application/json",
      errors: {
        401: `Unauthenticated.`,
        403: `Unauthorized.`
      }
    });
    return result.body;
  }

  /**
   * Sets the max file size rules for an account.
   * @param accountId
   * @param requestBody
   * @returns any Success.
   * @throws ApiError
   */
  public static async setMaxFileSizeRules(accountId: AccountId, requestBody: SetMaxFileSizeRules): Promise<any> {
    const result = await __request({
      method: "PUT",
      path: `/v1/accounts/${accountId}/rules/max_file_size`,
      body: requestBody,
      mediaType: "application/json",
      errors: {
        401: `Unauthenticated.`,
        403: `Unauthorized.`
      }
    });
    return result.body;
  }

  /**
   * Sets the TTL rules for an account.
   * @param accountId
   * @param requestBody
   * @returns any Success.
   * @throws ApiError
   */
  public static async setTtlRules(accountId: AccountId, requestBody: SetTtlRules): Promise<any> {
    const result = await __request({
      method: "PUT",
      path: `/v1/accounts/${accountId}/rules/ttl`,
      body: requestBody,
      mediaType: "application/json",
      errors: {
        401: `Unauthenticated.`,
        403: `Unauthorized.`
      }
    });
    return result.body;
  }

  /**
   * Sets the upload bandwidth rules for an account.
   * @param accountId
   * @param requestBody
   * @returns any Success.
   * @throws ApiError
   */
  public static async setUploadBandwidthRules(
    accountId: AccountId,
    requestBody: SetUploadBandwidthRules
  ): Promise<any> {
    const result = await __request({
      method: "PUT",
      path: `/v1/accounts/${accountId}/rules/upload_bandwidth`,
      body: requestBody,
      mediaType: "application/json",
      errors: {
        401: `Unauthenticated.`,
        403: `Unauthorized.`
      }
    });
    return result.body;
  }

  /**
   * Sets the upload count rules for an account.
   * @param accountId
   * @param requestBody
   * @returns any Success.
   * @throws ApiError
   */
  public static async setUploadCountRules(accountId: AccountId, requestBody: SetUploadCountRules): Promise<any> {
    const result = await __request({
      method: "PUT",
      path: `/v1/accounts/${accountId}/rules/upload_count`,
      body: requestBody,
      mediaType: "application/json",
      errors: {
        401: `Unauthenticated.`,
        403: `Unauthorized.`
      }
    });
    return result.body;
  }
}
