/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { AccountId } from "../models/AccountId";
import type { DownloadStatistics } from "../models/DownloadStatistics";
import type { StorageStatistics } from "../models/StorageStatistics";
import type { TransformationStatistics } from "../models/TransformationStatistics";
import { request as __request } from "../core/request";

export class StatisticsService {
  /**
   * Calculates download statistics for a given account.
   * @param accountId
   * @returns DownloadStatistics Success.
   * @throws ApiError
   */
  public static async getDownloadStatistics(accountId: AccountId): Promise<DownloadStatistics> {
    const result = await __request({
      method: "GET",
      path: `/v1/accounts/${accountId}/statistics/downloads`,
      errors: {
        401: `Unauthenticated.`,
        403: `Unauthorized.`
      }
    });
    return result.body;
  }

  /**
   * Calculates file storage statistics for a given account.
   * @param accountId
   * @returns StorageStatistics Success.
   * @throws ApiError
   */
  public static async getStorageStatistics(accountId: AccountId): Promise<StorageStatistics> {
    const result = await __request({
      method: "GET",
      path: `/v1/accounts/${accountId}/statistics/storage`,
      errors: {
        401: `Unauthenticated.`,
        403: `Unauthorized.`
      }
    });
    return result.body;
  }

  /**
   * Calculates transformation statistics for a given account.
   * @param accountId
   * @returns TransformationStatistics Success.
   * @throws ApiError
   */
  public static async getTransformationStatistics(accountId: AccountId): Promise<TransformationStatistics> {
    const result = await __request({
      method: "GET",
      path: `/v1/accounts/${accountId}/statistics/transformations`,
      errors: {
        401: `Unauthenticated.`,
        403: `Unauthorized.`
      }
    });
    return result.body;
  }
}
